package org.jeecg.modules.pay.request;

/**
 * 地址位置信息，风控要求必送
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class ReqLocationInfo {

    private ReqLocationInfo() {
    }

    public ReqLocationInfo(String request_ip) {
        this.request_ip = request_ip;
    }

    /**
     * 请求方IP地址
     * 请求方的IP地址，存在必填，格式如36.45.36.95
     */
    private String request_ip;

    /**
     * 基站信息
     * 客户端设备的基站信息（主扫时基站信息使用该字段）
     */
    private String base_station;

    /**
     * 纬度,经度
     * 商户终端的地理位置，存在必填 格式：纬度,经度，+表示北纬、东经，-表示南纬、 西经，精度最长支持小数点后9位。举例:+37.123456789,-121.123456789
     */
    private String location;

    public String getRequest_ip() {
        return request_ip;
    }

    public void setRequest_ip(String request_ip) {
        this.request_ip = request_ip;
    }

    public String getBase_station() {
        return base_station;
    }

    public void setBase_station(String base_station) {
        this.base_station = base_station;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
}
